import { NotificationCountType } from "matrix-js-sdk/src/matrix";
import type { IPushRule, Room, MatrixClient } from "matrix-js-sdk/src/matrix";
import { NotificationColor } from "./stores/notifications/NotificationColor";
export declare enum RoomNotifState {
    AllMessagesLoud = "all_messages_loud",
    AllMessages = "all_messages",
    MentionsOnly = "mentions_only",
    Mute = "mute"
}
export declare function getRoomNotifsState(client: MatrixClient, roomId: string): RoomNotifState | null;
export declare function setRoomNotifsState(client: MatrixClient, roomId: string, newState: RoomNotifState): Promise<void>;
export declare function getUnreadNotificationCount(room: Room, type: NotificationCountType, threadId?: string): number;
/**
 * Checks if a given rule is a room mute rule as implemented by EW
 * - matches every event in one room (one condition that is an event match on roomId)
 * - silences notifications (one action that is `DontNotify`)
 * @param rule - push rule
 * @returns {boolean} - true when rule mutes a room
 */
export declare function isRuleMaybeRoomMuteRule(rule: IPushRule): boolean;
export declare function determineUnreadState(room?: Room, threadId?: string): {
    color: NotificationColor;
    symbol: string | null;
    count: number;
};
