import React from "react";
import { RendezvousFailureReason } from "matrix-js-sdk/src/rendezvous";
import { Click, Phase } from "./LoginWithQR";
interface IProps {
    phase: Phase;
    code?: string;
    onClick(type: Click): Promise<void>;
    failureReason?: RendezvousFailureReason;
    confirmationDigits?: string;
}
/**
 * A component that implements the UI for sign in and E2EE set up with a QR code.
 *
 * This uses the unstable feature of MSC3906: https://github.com/matrix-org/matrix-spec-proposals/pull/3906
 */
export default class LoginWithQRFlow extends React.Component<IProps> {
    constructor(props: IProps);
    private handleClick;
    private cancelButton;
    private simpleSpinner;
    render(): React.ReactNode;
}
export {};
