import { Room } from "matrix-js-sdk/src/matrix";
import React from "react";
import { IProps as IContextMenuProps } from "../../structures/ContextMenu";
import { ButtonEvent } from "../elements/AccessibleButton";
export interface RoomGeneralContextMenuProps extends IContextMenuProps {
    room: Room;
    onPostFavoriteClick?: (event: ButtonEvent) => void;
    onPostLowPriorityClick?: (event: ButtonEvent) => void;
    onPostInviteClick?: (event: ButtonEvent) => void;
    onPostCopyLinkClick?: (event: ButtonEvent) => void;
    onPostSettingsClick?: (event: ButtonEvent) => void;
    onPostForgetClick?: (event: ButtonEvent) => void;
    onPostLeaveClick?: (event: ButtonEvent) => void;
}
/**
 * Room context menu accessible via the room list.
 */
export declare const RoomGeneralContextMenu: React.FC<RoomGeneralContextMenuProps>;
