import * as React from "react";
import { Room, RoomMember, MatrixEvent, User } from "matrix-js-sdk/src/matrix";
import { RoomPermalinkCreator } from "../../../utils/permalinks/Permalinks";
import { XOR } from "../../../@types/common";
interface BaseProps {
    onFinished(): void;
}
interface Props extends BaseProps {
    target: Room | User | RoomMember;
    permalinkCreator?: RoomPermalinkCreator;
}
interface EventProps extends BaseProps {
    target: MatrixEvent;
    permalinkCreator: RoomPermalinkCreator;
}
interface IState {
    linkSpecificEvent: boolean;
    permalinkCreator: RoomPermalinkCreator | null;
}
export default class ShareDialog extends React.PureComponent<XOR<Props, EventProps>, IState> {
    constructor(props: XOR<Props, EventProps>);
    static onLinkClick(e: React.MouseEvent): void;
    private onLinkSpecificEventCheckboxClick;
    private getUrl;
    render(): React.ReactNode;
}
export {};
