import React from "react";
export interface OidcLogoutDialogProps {
    delegatedAuthAccountUrl: string;
    deviceId: string;
    onFinished(ok?: boolean): void;
}
/**
 * Handle logout of OIDC sessions other than the current session
 * - ask for user confirmation to open the delegated auth provider
 * - open the auth provider in a new tab
 * - wait for the user to return and close the modal, we assume the user has completed sign out of the session in auth provider UI
 *        and trigger a refresh of the session list
 */
export declare const OidcLogoutDialog: React.FC<OidcLogoutDialogProps>;
