import React from "react";
import { Room } from "matrix-js-sdk/src/matrix";
export declare enum PillType {
    UserMention = "TYPE_USER_MENTION",
    RoomMention = "TYPE_ROOM_MENTION",
    AtRoomMention = "TYPE_AT_ROOM_MENTION",
    EventInSameRoom = "TYPE_EVENT_IN_SAME_ROOM",
    EventInOtherRoom = "TYPE_EVENT_IN_OTHER_ROOM"
}
export declare const pillRoomNotifPos: (text: string | null) => number;
export declare const pillRoomNotifLen: () => number;
export interface PillProps {
    type?: PillType;
    url?: string;
    /** Whether the pill is in a message. It will act as a link then. */
    inMessage?: boolean;
    room?: Room;
    shouldShowPillAvatar?: boolean;
}
export declare const Pill: React.FC<PillProps>;
