import React from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
import { IBodyProps } from "./IBodyProps";
interface IProps {
    mxEvent: MatrixEvent;
}
/**
 * A message hidden from the user pending moderation.
 *
 * Note: This component must not be used when the user is the author of the message
 * or has a sufficient powerlevel to see the message.
 */
declare const HiddenBody: React.ForwardRefExoticComponent<(Omit<IBodyProps, "ref"> | IProps) & React.RefAttributes<any>>;
export default HiddenBody;
