import React, { LegacyRef } from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
import { MediaEventHelper } from "../../../utils/MediaEventHelper";
import EditorStateTransfer from "../../../utils/EditorStateTransfer";
import { RoomPermalinkCreator } from "../../../utils/permalinks/Permalinks";
import { GetRelationsForEvent } from "../rooms/EventTile";
export interface IBodyProps {
    mxEvent: MatrixEvent;
    highlights?: string[];
    highlightLink?: string;
    onHeightChanged?: () => void;
    showUrlPreview?: boolean;
    forExport?: boolean;
    maxImageHeight?: number;
    replacingEventId?: string;
    editState?: EditorStateTransfer;
    onMessageAllowed?: () => void;
    permalinkCreator?: RoomPermalinkCreator;
    mediaEventHelper?: MediaEventHelper;
    isSeeingThroughMessageHiddenForModeration?: boolean;
    getRelationsForEvent?: GetRelationsForEvent;
    ref?: React.RefObject<any> | LegacyRef<any>;
    inhibitInteraction?: boolean;
}
