import React from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
import MatrixClientContext from "../../../contexts/MatrixClientContext";
export interface IProps {
    mxEvent: MatrixEvent;
    content: string;
    count: number;
    reactionEvents: MatrixEvent[];
    myReactionEvent?: MatrixEvent;
    disabled?: boolean;
    customReactionImagesEnabled?: boolean;
}
interface IState {
    tooltipRendered: boolean;
    tooltipVisible: boolean;
}
export default class ReactionsRowButton extends React.PureComponent<IProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src/client").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    state: {
        tooltipRendered: boolean;
        tooltipVisible: boolean;
    };
    onClick: () => void;
    onMouseOver: () => void;
    onMouseLeave: () => void;
    render(): React.ReactNode;
}
export {};
