import React from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
interface IProps {
    /** The m.room.create MatrixEvent that this tile represents */
    mxEvent: MatrixEvent;
    timestamp?: JSX.Element;
}
/**
 * A message tile showing that this room was created as an upgrade of a previous
 * room.
 */
export declare const RoomPredecessorTile: React.FC<IProps>;
/**
 * @internal Public for test only
 *
 * Guess the server name for a room based on its room ID.
 *
 * The spec says that Room IDs are opaque [1] so this can only ever be a
 * guess. There is no guarantee that this room exists on this server.
 *
 * [1] https://spec.matrix.org/v1.5/appendices/#room-ids-and-event-ids
 */
export declare function guessServerNameFromRoomId(roomId: string): string | null;
export {};
