import { MatrixClient, Room } from "matrix-js-sdk/src/matrix";
/**
 * Fetches poll start events in the last N days of room history
 * @param room - room to fetch history for
 * @param matrixClient - client
 * @param historyPeriodDays - number of days of history to fetch, from current day
 * @returns isLoading - true while fetching history
 * @returns oldestEventTimestamp - timestamp of oldest encountered poll, undefined when no polls found in timeline so far
 * @returns loadMorePolls - function to page timeline backwards, undefined when timeline cannot be paged backwards
 */
export declare const useFetchPastPolls: (room: Room, matrixClient: MatrixClient, historyPeriodDays?: number) => {
    isLoading: boolean;
    oldestEventTimestamp?: number | undefined;
    loadMorePolls?: (() => Promise<void>) | undefined;
};
