import React from "react";
import { Alignment } from "../elements/Tooltip";
import { E2EStatus } from "../../../utils/ShieldUtils";
import { XOR } from "../../../@types/common";
export declare enum E2EState {
    Verified = "verified",
    Warning = "warning",
    Unknown = "unknown",
    Normal = "normal",
    Unauthenticated = "unauthenticated"
}
interface Props {
    className?: string;
    size?: number;
    onClick?: () => void;
    hideTooltip?: boolean;
    tooltipAlignment?: Alignment;
    bordered?: boolean;
}
interface UserProps extends Props {
    isUser: true;
    status: E2EState | E2EStatus;
}
interface RoomProps extends Props {
    isUser?: false;
    status: E2EStatus;
}
declare const E2EIcon: React.FC<XOR<UserProps, RoomProps>>;
export default E2EIcon;
