import { MouseEvent, ReactNode } from "react";
import { ButtonEvent } from "../../elements/AccessibleButton";
import { NotificationColor } from "../../../../stores/notifications/NotificationColor";
import { XOR } from "../../../../@types/common";
interface Props {
    symbol: string | null;
    count: number;
    color: NotificationColor;
    knocked?: boolean;
    onMouseOver?: (ev: MouseEvent) => void;
    onMouseLeave?: (ev: MouseEvent) => void;
    children?: ReactNode;
    label?: string;
}
interface ClickableProps extends Props {
    /**
     * If specified will return an AccessibleButton instead of a div.
     */
    onClick(ev: ButtonEvent): void;
    tabIndex?: number;
}
export declare function StatelessNotificationBadge({ symbol, count, color, knocked, ...props }: XOR<Props, ClickableProps>): JSX.Element;
export {};
