import { IEventRelation, MatrixEvent, ISendEventResponse, MatrixClient } from "matrix-js-sdk/src/matrix";
import { RoomPermalinkCreator } from "../../../../../utils/permalinks/Permalinks";
import { IRoomState } from "../../../../structures/RoomView";
import EditorStateTransfer from "../../../../../utils/EditorStateTransfer";
export interface SendMessageParams {
    mxClient: MatrixClient;
    relation?: IEventRelation;
    replyToEvent?: MatrixEvent;
    roomContext: IRoomState;
    permalinkCreator?: RoomPermalinkCreator;
    includeReplyLegacyFallback?: boolean;
}
export declare function sendMessage(message: string, isHTML: boolean, { roomContext, mxClient, ...params }: SendMessageParams): Promise<ISendEventResponse | undefined>;
interface EditMessageParams {
    mxClient: MatrixClient;
    roomContext: IRoomState;
    editorStateTransfer: EditorStateTransfer;
}
export declare function editMessage(html: string, { roomContext, mxClient, editorStateTransfer }: EditMessageParams): Promise<ISendEventResponse | undefined>;
export {};
