import React, { ComponentProps, RefObject, SyntheticEvent, ReactNode } from "react";
import { MatrixClient, ICreateRoomOpts } from "matrix-js-sdk/src/matrix";
import { IOpts as ICreateOpts } from "../../../createRoom";
import SpaceBasicSettings from "./SpaceBasicSettings";
import Field from "../elements/Field";
import RoomAliasField from "../elements/RoomAliasField";
export declare const createSpace: (client: MatrixClient, name: string, isPublic: boolean, alias?: string, topic?: string, avatar?: string | File, createOpts?: Partial<ICreateRoomOpts>, otherOpts?: Partial<Omit<ICreateOpts, "createOpts">>) => Promise<string | null>;
type BProps = Omit<ComponentProps<typeof SpaceBasicSettings>, "nameDisabled" | "topicDisabled" | "avatarDisabled">;
interface ISpaceCreateFormProps extends BProps {
    busy: boolean;
    alias: string;
    nameFieldRef: RefObject<Field>;
    aliasFieldRef: RefObject<RoomAliasField>;
    showAliasField?: boolean;
    children?: ReactNode;
    onSubmit(e: SyntheticEvent): void;
    setAlias(alias: string): void;
}
export declare const SpaceCreateForm: React.FC<ISpaceCreateFormProps>;
declare const SpaceCreateMenu: React.FC<{
    onFinished(): void;
}>;
export default SpaceCreateMenu;
