import React, { HTMLAttributes } from "react";
type Size = "1" | "2" | "3" | "4";
type HTMLHeadingTags = "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
interface HeadingProps extends HTMLAttributes<HTMLHeadingElement> {
    /**
     * Defines the type of heading used
     */
    as?: HTMLHeadingTags;
    /**
     * Defines the appearance of the heading
     * Falls back to the type of heading used if `as` is not provided
     */
    size: Size;
}
declare const Heading: React.FC<HeadingProps>;
export default Heading;
