import React from "react";
import { Device } from "matrix-js-sdk/src/matrix";
import { GeneratedSas, EmojiMapping } from "matrix-js-sdk/src/crypto-api/verification";
interface IProps {
    pending?: boolean;
    displayName?: string;
    /** Details of the other device involved in the verification, if known */
    otherDeviceDetails?: Device;
    onDone: () => void;
    onCancel: () => void;
    sas: GeneratedSas;
    isSelf?: boolean;
    inDialog?: boolean;
}
interface IState {
    pending: boolean;
    cancelling?: boolean;
}
/**
 * Translate given EmojiMapping into the target locale
 * @param mapping - the given EmojiMapping to translate
 * @param locale - the BCP 47 locale to translate to, will fall back to English as the base locale for Matrix SAS Emoji.
 */
export declare function tEmoji(mapping: EmojiMapping, locale: string): string;
export default class VerificationShowSas extends React.Component<IProps, IState> {
    constructor(props: IProps);
    private onMatchClick;
    private onDontMatchClick;
    render(): React.ReactNode;
}
export {};
