import { Room } from "matrix-js-sdk/src/matrix";
import React from "react";
export type PlatformCallType = "element_call" | "jitsi_or_element_call" | "legacy_or_jitsi";
/**
 * Utility hook for resolving state and click handlers for Voice & Video call buttons in the room header
 * @param room the room to track
 * @returns the call button attributes for the given room
 */
export declare const useRoomCall: (room: Room) => {
    voiceCallDisabledReason: string | null;
    voiceCallClick(evt: React.MouseEvent): void;
    videoCallDisabledReason: string | null;
    videoCallClick(evt: React.MouseEvent): void;
};
