import { MatrixEvent, Room } from "matrix-js-sdk/src/matrix";
import { PillType } from "../components/views/elements/Pill";
import { PermalinkParts } from "../utils/permalinks/PermalinkConstructor";
/**
 * Hook to get a permalink target event
 *
 * @param type - Permalink type
 * @param parseResult - Permalink parse result
 * @param targetRoom - Target room of the permalink {@link ./usePermalinkTargetRoom.ts}
 * @returns The permalink event if it targets an event and it can be loaded.
 *          Else null.
 */
export declare const usePermalinkEvent: (type: PillType | null, parseResult: PermalinkParts | null, targetRoom: Room | null) => MatrixEvent | null;
