import IWatcher from "./Watcher";
export declare class FontWatcher implements IWatcher {
    /**
     * Value indirectly defined by Compound.
     * All `rem` calculations are made from a `16px` values in the
     * @vector-im/compound-design-tokens package
     *
     * We might want to move to using `100%` instead so we can inherit the user
     * preference set in the browser regarding font sizes.
     */
    static readonly DEFAULT_SIZE = 16;
    static readonly MIN_SIZE: number;
    static readonly MAX_SIZE: number;
    private dispatcherRef;
    constructor();
    start(): Promise<void>;
    /**
     * Migrating the old `baseFontSize` for Compound.
     * Everything will becomes slightly larger, and getting rid of the `SIZE_DIFF`
     * weirdness for locally persisted values
     */
    private migrateBaseFontSize;
    stop(): void;
    private updateFont;
    private onAction;
    private setRootFontSize;
    static readonly FONT_FAMILY_CUSTOM_PROPERTY = "--cpd-font-family-sans";
    private setSystemFont;
}
