import { OidcClientConfig, IDelegatedAuthConfig } from "matrix-js-sdk/src/matrix";
import { ValidatedIssuerConfig } from "matrix-js-sdk/src/oidc/validate";
export type ValidatedDelegatedAuthConfig = IDelegatedAuthConfig & ValidatedIssuerConfig;
export interface ValidatedServerConfig {
    hsUrl: string;
    hsName: string;
    hsNameIsDifferent: boolean;
    isUrl: string;
    isDefault: boolean;
    isNameResolvable: boolean;
    warning: string | Error;
    /**
     * Config related to delegated authentication
     * Included when delegated auth is configured and valid, otherwise undefined
     * From homeserver .well-known m.authentication, and issuer's .well-known/openid-configuration
     * Used for OIDC native flow authentication
     */
    delegatedAuthentication?: OidcClientConfig;
}
