interface FilterValidMDirectResult {
    /** Whether the entire content is valid */
    valid: boolean;
    /** Filtered content with only the valid parts */
    filteredContent: Record<string, string[]>;
}
/**
 * Filter m.direct content to be compliant to https://spec.matrix.org/v1.6/client-server-api/#mdirect.
 *
 * @param content - Raw event content to be filerted
 * @returns value as a flag whether to content was valid.
 *          filteredContent with only values from the content that are spec compliant.
 */
export declare const filterValidMDirect: (content: unknown) => FilterValidMDirectResult;
export {};
