import { MatrixClient, Room } from "matrix-js-sdk/src/matrix";
export declare const deviceNotificationSettingsKeys: string[];
export declare function getLocalNotificationAccountDataEventType(deviceId: string | null): string;
export declare function createLocalNotificationSettingsIfNeeded(cli: MatrixClient): Promise<void>;
export declare function localNotificationsAreSilenced(cli: MatrixClient): boolean;
/**
 * Mark a room as read
 * @param room
 * @param client
 * @returns a promise that resolves when the room has been marked as read
 */
export declare function clearRoomNotification(room: Room, client: MatrixClient): Promise<{} | undefined>;
/**
 * Marks all rooms with an unread counter as read
 * @param client The matrix client
 * @returns a promise that resolves when all rooms have been marked as read
 */
export declare function clearAllNotifications(client: MatrixClient): Promise<Array<{} | undefined>>;
