import { IdTokenClaims } from "oidc-client-ts";
/**
 * Persists oidc clientId and issuer in session storage
 * Only set after successful authentication
 * @param clientId
 * @param issuer
 */
export declare const persistOidcAuthenticatedSettings: (clientId: string, issuer: string, idTokenClaims: IdTokenClaims) => void;
/**
 * Retrieve stored oidc issuer from session storage
 * When user has token from OIDC issuer, this will be set
 * @returns issuer or undefined
 */
export declare const getStoredOidcTokenIssuer: () => string | undefined;
/**
 * Retrieves stored oidc client id from session storage
 * @returns clientId
 * @throws when clientId is not found in session storage
 */
export declare const getStoredOidcClientId: () => string;
/**
 * Retrieve stored id token claims from session storage
 * @returns idtokenclaims or undefined
 */
export declare const getStoredOidcIdTokenClaims: () => IdTokenClaims | undefined;
