import { MatrixClient, Room } from "matrix-js-sdk/src/matrix";
import { VoiceBroadcastPlaybacksStore, VoiceBroadcastRecordingsStore } from "..";
/**
 * When a live voice broadcast is in the room and
 * another voice broadcast is not currently being listened to or recorded
 * the live broadcast in the room is set as the current broadcast to listen to.
 * When there is no live broadcast in the room: clear current broadcast.
 *
 * @param {Room} room The room to check for a live voice broadcast
 * @param {MatrixClient} client
 * @param {VoiceBroadcastPlaybacksStore} voiceBroadcastPlaybacksStore
 * @param {VoiceBroadcastRecordingsStore} voiceBroadcastRecordingsStore
 */
export declare const doMaybeSetCurrentVoiceBroadcastPlayback: (room: Room, client: MatrixClient, voiceBroadcastPlaybacksStore: VoiceBroadcastPlaybacksStore, voiceBroadcastRecordingsStore: VoiceBroadcastRecordingsStore) => Promise<void>;
