import { MatrixClient, Room } from "matrix-js-sdk/src/matrix";
import { VoiceBroadcastRecordingsStore, VoiceBroadcastRecording, VoiceBroadcastPlaybacksStore } from "..";
/**
 * Starts a new Voice Broadcast Recording, if
 * - the user has the permissions to do so in the room
 * - the user is not already recording a voice broadcast
 * - there is no other broadcast being recorded in the room, yet
 * Sends a voice_broadcast_info state event and waits for the event to actually appear in the room state.
 */
export declare const startNewVoiceBroadcastRecording: (room: Room, client: MatrixClient, playbacksStore: VoiceBroadcastPlaybacksStore, recordingsStore: VoiceBroadcastRecordingsStore) => Promise<VoiceBroadcastRecording | null>;
