import { Mocked } from "jest-mock";
import { MatrixClient, MatrixEvent, Room, PollAnswer } from "matrix-js-sdk/src/matrix";
type Options = {
    roomId: string;
    ts: number;
    id: string;
};
export declare const makePollStartEvent: (question: string, sender: string, answers?: PollAnswer[], { roomId, ts, id }?: Partial<Options>) => MatrixEvent;
export declare const makePollEndEvent: (pollStartEventId: string, roomId: string, sender: string, ts?: number, id?: string) => MatrixEvent;
export declare const makePollResponseEvent: (pollId: string, answerIds: string[], sender: string, roomId: string, ts?: number) => MatrixEvent;
/**
 * Creates a room with attached poll events
 * Returns room from mockClient
 * mocks relations api
 * @param mxEvent - poll start event
 * @param relationEvents - returned by relations api
 * @param endEvents - returned by relations api
 * @param mockClient - client in use
 * @returns
 */
export declare const setupRoomWithPollEvents: (pollStartEvents: MatrixEvent[], relationEvents: Array<MatrixEvent>, endEvents: MatrixEvent[] | undefined, mockClient: Mocked<MatrixClient>, existingRoom?: Room) => Promise<Room>;
export {};
