import { MockedObject } from "jest-mock";
import { MatrixClient, MatrixEvent, Room } from "matrix-js-sdk/src/matrix";
import { IRoomState } from "../../src/components/structures/RoomView";
export declare const makeMembershipEvent: (roomId: string, userId: string, membership?: string) => MatrixEvent;
/**
 * Creates a room
 * sets state events on the room
 * Sets client getRoom to return room
 * returns room
 */
export declare const makeRoomWithStateEvents: (stateEvents: MatrixEvent[] | undefined, { roomId, mockClient }: {
    roomId: string;
    mockClient: MockedObject<MatrixClient>;
}) => Room;
export declare function getRoomContext(room: Room, override: Partial<IRoomState>): IRoomState;
export declare const setupRoomWithEventsTimeline: (room: Room, events?: MatrixEvent[]) => void;
