import { MatrixClient, MatrixEvent, Room, Thread } from "matrix-js-sdk/src/matrix";
import { MessageEventProps } from "./test-utils";
export declare const makeThreadEvent: ({ rootEventId, replyToEventId, ...props }: {
    user: string;
    relatesTo?: import("matrix-js-sdk/src/matrix").IEventRelation | undefined;
    event?: boolean | undefined;
    ts?: number | undefined;
    skey?: string | undefined;
} & {
    room: string;
    relatesTo?: import("matrix-js-sdk/src/matrix").IEventRelation | undefined;
    msg?: string | undefined;
} & {
    rootEventId: string;
    replyToEventId: string;
}) => MatrixEvent;
type MakeThreadEventsProps = {
    roomId: Room["roomId"];
    authorId: string;
    participantUserIds: string[];
    length?: number;
    ts?: number;
    currentUserId?: string;
};
export declare const makeThreadEvents: ({ roomId, authorId, participantUserIds, length, ts, currentUserId, }: MakeThreadEventsProps) => {
    rootEvent: MatrixEvent;
    events: MatrixEvent[];
};
type MakeThreadProps = {
    room: Room;
    client: MatrixClient;
    authorId: string;
    participantUserIds: string[];
    length?: number;
    ts?: number;
};
export declare const mkThread: ({ room, client, authorId, participantUserIds, length, ts, }: MakeThreadProps) => {
    thread: Thread;
    rootEvent: MatrixEvent;
    events: MatrixEvent[];
};
export {};
