import { ComponentType, Ref } from "react";
import { MatrixClient } from "matrix-js-sdk/src/matrix";
import { RenderOptions } from "@testing-library/react";
import { SdkContextClass } from "../../src/contexts/SDKContext";
type WrapperProps<T> = {
    wrappedRef?: Ref<ComponentType<T>>;
} & T;
export declare function wrapInMatrixClientContext<T>(WrappedComponent: ComponentType<T>): ComponentType<WrapperProps<T>>;
export declare function wrapInSdkContext<T>(WrappedComponent: ComponentType<T>, sdkContext: SdkContextClass): ComponentType<WrapperProps<T>>;
/**
 * Test helper to generate React testing library render options for wrapping with a MatrixClientContext.Provider
 * @param client the MatrixClient instance to expose via the provider
 */
export declare function withClientContextRenderOptions(client: MatrixClient): RenderOptions;
export {};
